<?php

namespace App\Enum\Contact;

enum MessageChannel: string
{
    case EMAIL = 'email';
    case SMS = 'sms';

    public function label(): string
    {
        return match ($this) {
            self::EMAIL => 'Email',
            self::SMS => 'SMS',
        };
    }

    public function icon(): string
    {
        return match ($this) {
            self::EMAIL => 'mdi mdi-email-outline',
            self::SMS => 'mdi mdi-message-text-outline',
        };
    }

    public function color(): string
    {
        return match ($this) {
            self::EMAIL => 'primary',
            self::SMS => 'info',
        };
    }
}
